<?php

/**
*	Main_Menu class to handle modular menu system for Nagios CCM (UNDER DEVELOPMENT)
*	@TODO future revisions need a way to add, remove, sort, and modify menu items 
*/ 

class Main_Menu
{

	//needs main menu classes
		//menu subclasses with items
	//get, set, add, remove menu items 
	
	var $parentMenus = array(); //array of parent menus 
	private $menuItems = array(); 		//array of objects, child menu items 
	
/*	
	function __construct() {
		$this->add_menu_item('index.php?cmd=view&type=host')
	
	}
*/ 	
	/**
	*	for now this only prints a basic menu for the CCM if the $_SESSION['menu'] =='visible' 
	*
	*/ 
	public function print_menu_html()
	{
		if($_SESSION['menu']=='visible')  
		{
		// development navigation 
			print "<div id='mainNavMenu'>"; 
			print "<a href='index.php?cmd=view&type=host'>Hosts</a>";
			print "<a href='index.php?cmd=view&type=service'>Services</a>";
			print "<a href='index.php?cmd=view&type=contact'>Contacts</a>";
			print "<br />";
			print "<a href='index.php?cmd=view&type=hostgroup'>Host Groups</a>";
			print "<a href='index.php?cmd=view&type=servicegroup'>Service Groups</a>";
			print "<a href='index.php?cmd=view&type=contactgroup'>Contact Groups</a>";
			print "<br />";
			print "<a href='index.php?cmd=view&type=hosttemplate'>Host Templates</a>";
			print "<a href='index.php?cmd=view&type=servicetemplate'>Service Templates</a>";
			print "<a href='index.php?cmd=view&type=contacttemplate'>Contact Templates</a>";
			print "<br />";
			print "<a href='index.php?cmd=view&type=timeperiod'>Timeperiods</a>";
			print "<a href='index.php?cmd=view&type=command'>Commands</a>";
			print "<br />";
			print "<a href='index.php?cmd=view&type=hostescalation'>Host Escalations</a>";
			print "<a href='index.php?cmd=view&type=serviceescalation'>Service Escalations</a>";
			print "<br />";
			print "<a href='index.php?cmd=view&type=hostdependency'>Host Dependencies</a>";
			print "<a href='index.php?cmd=view&type=servicedependency'>Service Dependencies</a>";
			print "<br />";
			print "<a href='index.php?cmd=admin&type=import'>Import Configs</a>";
			print "<a href='index.php?cmd=apply'>Write Configs</a>";
			print "<br />";
			print "<a href='index.php?cmd=admin&type=static'>Static Configurations</a>";
			print "<a href='index.php?cmd=admin&type=corecfg'>Nagios Main Config</a>";
			print "<a href='index.php?cmd=admin&type=cgicfg'>Nagios CGI Config</a>";
			print "<br />";
			print "<br />";
			print "<a href='index.php?cmd=admin&type=user'>Manage CCM Users</a>";
			print "<a href='index.php?cmd=admin&type=log'>CCM Log</a>";
			print "<a href='index.php?cmd=admin&type=settings'>CCM Settings</a>";
			print "<br />";
			print "<br />";
			print "</div> <!-- mainNavMenu --> "; 
		}
	}	
	
	//array map
	/*	$menuitems = array( $keyID => array( 'title' => '',
															'href'  => '',
															'id'    => '',
															'order' => '',
															'view'  => '',
															)
	*/
    /**
     * @param      $href
     * @param      $id
     * @param      $order
     * @param      $title
     * @param bool $target
     * @param bool $class
     */
    public function add_menu_item($href,$id,$order,$title,$target=false,$class=false) {
		$array = array( 'href' =>$href,
						'id' => $id,
						'order' =>  $order,
						'title' => $title,
						'target' => $target,
						'class' => $class  ); 
		$this->menuItems[] = $array; 	
	}
	
	

}
