#!/bin/bash

#active_directory components sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/active_directory/active_directory.inc.php $COMPONENTS/active_directory/adLDAP/adLDAP.php

is_component $COMPONENTS/active_directory/active_directory.inc.php

can_nagios_execute $COMPONENTS/active_directory/adLDAP/adLDAP.php

can_apache_execute $COMPONENTS/active_directory/adLDAP/adLDAP.php

are_these_packages_installed php-ldap 

print_results
