#!/bin/bash
 
#rssnotifications component sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/rssnotifications/rssnotifications.inc.php \
	$COMPONENTS/rssnotifications/rssnotifications.php \
	$COMPONENTS/rssnotifications/images/rss-20x20.png \
	$COMPONENTS/rssnotifications/images/rss-40x40.png

is_component $COMPONENTS/rssnotifications/rssnotifications.inc.php

print_results
